import path from "node:path";
import { PACKAGE_ROOT } from "../../util";

const SCHEMAS_ROOT = path.join(PACKAGE_ROOT, "schemas");

export const APP_COMPOSE_SCHEMAS = {
  app: path.join(SCHEMAS_ROOT, "app", "requirements.yml"),
  actor: path.join(SCHEMAS_ROOT, "app", "actor.yml"),
  "business-flow": path.join(SCHEMAS_ROOT, "app", "business-flow.yml"),
  story: path.join(SCHEMAS_ROOT, "app", "story.yml"),
  screen: path.join(SCHEMAS_ROOT, "app", "screen.yml"),
  resolver: path.join(SCHEMAS_ROOT, "app", "resolver.yml"),
} as const;
